enum ui_color
{
	BLACK = 0,
	RED,
	GREEN,
	BLUE,
	YELLOW,
	CYAN,
	MAGENTA,
	WHITE,
};

extern int ui_printf(const char *control, ...);
extern void ui_printf_l(const char *control, ...);
extern void ui_vram_clear(int t);
extern void init_ui_disp(void);
extern void init_ui(void);
extern void ui_level(short l, short r);
extern void ui_level_disp(void);
extern void DrawGraph(int px, int ly, enum ui_color color);
extern void ui_clear_graph(void);
extern void ui_file_list(char* filename);
extern void ui_disp_pause(int t);
extern void ui_disp_repeat(int t);
extern void ui_disp_shuffle(int t);
